| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC4245.cpp File Reference
Hot Swap » LTC4245: Hot Swap Controller with I2C Compatible Monitoring

Library for LTC4245 Hot Swap Controller with I2C Compatible Monitoring. More...

## Detailed Description

Library for LTC4245 Hot Swap Controller with I2C Compatible Monitoring.

Definition in file LTC4245.cpp.

Go to the source code of this file.

## Functions
float | LTC4245_code_to_voltage (uint8_t register_code, float full_scale_voltage)
| Calculates voltage from register code data. More...
int8_t | LTC4245_ARA (uint8_t alert_response_address, uint8_t *i2c_address)
| SMBus Alert ResponseProtocol: Sends an alert response command and releases /ALERT pin. More...
int8_t | LTC4245_write (uint8_t i2c_address, uint8_t command, uint8_t code)
| Write an 8-bit code to the LTC4245. More...
int8_t | LTC4245_read (uint8_t i2c_address, uint8_t command, uint8_t *code)
| Reads an 8-bit adc_code from LTC4245. More...

## Function Documentation

## ◆ LTC4245_ARA()

int8_t LTC4245_ARA | ( | uint8_t | alert_response_address,
|  | uint8_t * | i2c_address
| ) |  |

SMBus Alert ResponseProtocol: Sends an alert response command and releases /ALERT pin.

LTC4245 responds with its address

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge

Parameters

  alert_response_address | the Alert Response Address on the I2C bus
  i2c_address | the address of the alert source

Definition at line 82 of file LTC4245.cpp.

## ◆ LTC4245_code_to_voltage()

float LTC4245_code_to_voltage | ( | uint8_t | register_code,
|  | float | full_scale_voltage
| ) |  |

Calculates voltage from register code data.

Returns
  The function returns valtage calculated from register data

Parameters

  full_scale_voltage | Data from registers Full scale voltage

Definition at line 73 of file LTC4245.cpp.

## ◆ LTC4245_read()

int8_t LTC4245_read | ( | uint8_t | i2c_address,
|  | uint8_t | command,
|  | uint8_t * | code
| ) |  |

Reads an 8-bit adc_code from LTC4245.

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  command | LTC4245 I2C ADDRESS
  code | Register address to read from Contents of the requested register

Definition at line 98 of file LTC4245.cpp.

## ◆ LTC4245_write()

int8_t LTC4245_write | ( | uint8_t | i2c_address,
|  | uint8_t | command,
|  | uint8_t | code
| ) |  |

Write an 8-bit code to the LTC4245.

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  command | LTC4245 I2C ADDRESS
  code | Register address to be written into Data to be written into the register

Definition at line 90 of file LTC4245.cpp.